geos::coverage::CoverageRingEdges Class Reference

`#include <CoverageRingEdges.h>`

## Public Member Functions

| CoverageRingEdges (const std::vector< const Geometry * > &coverage)
std::vector< CoverageEdge * > & | getEdges ()
std::vector< CoverageEdge * > | selectEdges (std::size_t ringCount) const
std::vector< std::unique_ptr< Geometry > > | buildCoverage () const

## Detailed Description

Models a polygonal coverage as a set of unique `CoverageEdge`s, linked to the parent rings in the coverage polygons. Each edge has either one or two parent rings, depending on whether it is an inner or outer edge of the coverage. The source coverage is represented as a array of polygonal geometries (either `geos::geom::Polygon`s or `geos::geom::MultiPolygon`s).

Author
  Martin Davis

## Member Function Documentation

## buildCoverage()

std::vector< std::unique_ptr< Geometry > > geos::coverage::CoverageRingEdges::buildCoverage | ( |  | ) | const

Recreates the polygon coverage from the current edge values.

Returns
  an array of polygonal geometries representing the coverage

## selectEdges()

std::vector< CoverageEdge * > geos::coverage::CoverageRingEdges::selectEdges | ( | std::size_t | ringCount | ) | const

Selects the edges with a given ring count (which can be 1 or 2).

Parameters

  ringCount | the edge ring count to select (1 or 2)

Returns
  the selected edges

The documentation for this class was generated from the following file:

- CoverageRingEdges.h